Page MenuHomePhabricator

Success criteria to move Wikimedia Space to production servers
Closed, ResolvedPublic

Description

General

1000 registered users (wikimedia-l has ~1.680. Meta, depends 1)
    500 Trust Level 1 1 or higher
    100 Trust Level 2 1 or higher
Main page reflects different types of Blog news and Discuss activity.
Stable and consistent taxonomy of categories and tags.
Wikimedia login.
Multilingual support allows everyone to participate in Space in their own language.
MediaWiki integration for notifications, content updates and search.
First design iteration complete, including consistent navigation and look&feel between Blog and Discuss.
Final URL decided and ready to be used.
Wikimedia Space community review process to identify blockers for production.
Blockers recognized by the Wikimedia Space admins are resolved or committed to be resolved in a short term plan.

Blog

Editorial calendar with at least three blog posts published every week.
Editorial Board and Editorial Guidelines created, offer an engagement process open to everyone, include at least two volunteers participating.
Documented process to submit news.
Documented process to publish or translate articles in languages other than English.
Documented process to migrate existing news channels to Space.
Newsletter use case fully implemented.
At least 60% of participants in a survey among blog post authors consider the Blog ready for production.

Discuss

An average of at least 200 daily visits of registered users.
An average of at least 100 daily engaged users (liking or posting).
Populated, dynamic and well-functioning calendar and map of events.
Moderators team created and enforcing a Code of Conduct, offers an engagement process open to everyone, includes at least two volunteers specializing in two different languages.
A moderation guide that has undergone preliminary testing (ideally with real cases)
Guidelines to participate in languages other than English.
At least 3 closed groups and a common practice established.
Proof of concept for Q&A system.
Proof of concept for mailing list emulation.
At least 60% of participants in a survey among registered users are between Satisfied and Very Satisfied.

Wikimedia Foundation

All departments have been briefed about Wikimedia Space and their opportunities to participate.
All Foundation announcements addressed to the movement are published in Space.
Community Engagement, Product, Technology and Legal publish their news in Space systematically.
Technical maintenance plan agreed with SRE.
Green light from Security.
Green light from Legal.
Green light from Comms.
Green light from the Chief of CE.

Event Timeline

Qgil triaged this task as High priority.Jul 5 2019, 10:37 AM
Qgil created this task.
Qgil moved this task from Backlog to Started on the Space (Jul-Sep-2019) board.Jul 19 2019, 9:25 PM
Qgil mentioned this in Unknown Object (Task).Sep 3 2019, 7:32 AM
Qgil mentioned this in Unknown Object (Task).Sep 3 2019, 7:42 AM
Qgil mentioned this in Unknown Object (Task).
Qgil lowered the priority of this task from High to Medium.Sep 4 2019, 8:16 PM

Draft published (thank you Elena!):

https://discuss-space.wmflabs.org/t/success-criteria-for-the-wikimedia-space-prototype/1189

Moving to reactive mode, Normal priority.

Qgil added a comment.Sep 17 2019, 7:16 AM

I think it is better to have the success criteria listed in a single location to avoid getting multiple lists out of sync. https://discuss-space.wmflabs.org/t/success-criteria-for-the-wikimedia-space-prototype/1189 could b that location, which is way more exposed to Space users. That topic could be updated on a monthly basis with Space metrics, to see how far/close are we from reaching these goals. Criteria that requires completion of a task would be linked to the related Phabricator task and would have a checkbox. Completed criteria would have their checkbox activated.

Once the list of success criteria is approved (there are still a couple of points being discussed), I was thinking of closing this task and then adding specific blockers to T227309: Deploy Wikimedia Space to production servers.

All this is easier to show than to explain in writing. I hope the explanation is clear. what do you think?

Qgil raised the priority of this task from Medium to High.Sep 27 2019, 8:28 AM

I plan to wrap up this task next week

Qgil closed this task as Resolved.Oct 1 2019, 10:07 AM
Qgil moved this task from Started to Evaluated on the Space (Jul-Sep-2019) board.

The success criteria have been approved and their canonical location is https://discuss-space.wmflabs.org/t/success-criteria-for-the-wikimedia-space-prototype/1189

We will keep updating that topic as we meet criteria. I'm resolving this task. Thanks to everyone who contributed!